EhCacheMessageLogger (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache
Interface EhCacheMessageLogger

All Superinterfaces:
  org.jboss.logging.BasicLogger, CoreMessageLogger

All Known Implementing Classes:
  EhCacheMessageLogger_$logger

    @MessageLogger(projectCode="HHH")
    public interface EhCacheMessageLogger

extends CoreMessageLogger

The jboss-logging `MessageLogger` for the hibernate-ehcache module. It reserves message ids ranging from 20001 to 25000 inclusively.

New messages must be added after the last message defined to ensure message codes are unique.

Method Summary
`void` | `attemptToRestartAlreadyStartedEhCacheProvider()`
`void` | `incompatibleCacheValueMode()`
`void` | `incompatibleCacheValueModePerCache(String cacheName)`
`void` | `readOnlyCacheConfiguredForMutableEntity(String entityName)`
`void` | `softLockedCacheExpired(String regionName, Object key, String lock)`
`void` | `unableToFindConfiguration(String name)`
`void` | `unableToFindEhCacheConfiguration(String name)`
`void` | `unableToLoadConfiguration(String configurationResourceName)`

Methods inherited from interface org.hibernate.internal.CoreMessageLogger
`addingOverrideFor, alreadySessionBound, autoCommitMode, autoFlushWillNotWork, batchContainedStatementsOnRelease, bytecodeProvider, c3p0ProviderClassNotFound, cachedFileNotFound, cacheProvider, callingJoinTransactionOnNonJtaEntityManager, cannotResolveNonNullableTransientDependencies, cleaningUpConnectionPool, closing, closingUnreleasedBatch, collectionsFetched, collectionsLoaded, collectionsRecreated, collectionsRemoved, collectionsUpdated, columns, compositeIdClassDoesNotOverrideEquals, compositeIdClassDoesNotOverrideHashCode, configurationResource, configuredSessionFactory, configuringFromFile, configuringFromResource, configuringFromUrl, configuringFromXmlDocument, connectionProperties, connectionsObtained, containerProvidingNullPersistenceUnitRootUrl, containsJoinFetchedCollection, couldNotBindJndiListener, creatingSubcontextInfo, definingFlushBeforeCompletionIgnoredInHem, deprecatedDerbyDialect, deprecatedForceDescriminatorAnnotation, deprecatedOracle9Dialect, deprecatedOracleDialect, deprecatedTransactionManagerStrategy, deprecatedUuidGenerator, disablingContextualLOBCreation, disablingContextualLOBCreationSinceConnectionNull, disablingContextualLOBCreationSinceCreateClobFailed, disablingContextualLOBCreationSinceOldJdbcVersion, disallowingInsertStatementComment, duplicateGeneratorName, duplicateGeneratorTable, duplicateImport, duplicateJoins, duplicateListener, duplicateMetadata, entitiesDeleted, entitiesFetched, entitiesInserted, entitiesLoaded, entitiesUpdated, entityAnnotationOnNonRoot, entityIdentifierValueBindingExists, entityManagerClosedBySomeoneElse, entityManagerFactoryAlreadyRegistered, entityMappedAsNonAbstract, exceptionHeaderFound, exceptionHeaderNotFound, exceptionInAfterTransactionCompletionInterceptor, exceptionInBeforeTransactionCompletionInterceptor, exceptionInSubResolver, expectedType, expired, factoryBoundToJndiName, factoryJndiRename, factoryUnboundFromJndiName, factoryUnboundFromName, failed, failSafeCollectionsCleanup, failSafeEntitiesCleanup, fetchingDatabaseMetadata, filterAnnotationOnSubclass, firstOrMaxResultsSpecifiedWithCollectionFetch, flushes, forcingContainerResourceCleanup, forcingTableUse, foreignKeys, foundMappingDocument, gettersOfLazyClassesCannotBeFinal, guidGenerated, handlingTransientEntity, hibernateConnectionPoolSize, honoringOptimizerSetting, hql, hsqldbSupportsOnlyReadCommittedIsolation, hydratingEntitiesCount, ignoringTableGeneratorConstraints, ignoringUnrecognizedQueryHint, illegalPropertyGetterArgument, illegalPropertySetterArgument, immutableAnnotationOnNonRoot, incompleteMappingMetadataCacheProcessing, indexes, instantiatingExplicitConnectionProvider, invalidArrayElementType, invalidDiscriminatorAnnotation, invalidEditOfReadOnlyItem, invalidJndiName, invalidOnDeleteAnnotation, invalidPrimaryKeyJoinColumnAnnotation, invalidSubStrategy, invalidTableAnnotation, jaccContextId, JavaSqlTypesMappedSameCodeMultipleTimes, javassistEnhancementFailed, jdbcAutoCommitFalseBreaksEjb3Spec, jdbcDriverNotSpecified, jdbcIsolationLevel, jdbcRollbackFailed, jdbcUrlNotSpecified, jndiInitialContextProperties, jndiNameDoesNotHandleSessionFactoryReference, lazyPropertyFetchingAvailable, legacyTransactionManagerStrategy, loadingCollectionKeyNotFound, localLoadingCollectionKeysCount, loggingStatistics, logicalConnectionClosed, logicalConnectionReleasingPhysicalConnection, maxQueryTime, missingArguments, missingEntityAnnotation, namedQueryError, namingExceptionAccessingFactory, narrowingProxy, naturalIdCacheHits, naturalIdCacheMisses, naturalIdCachePuts, naturalIdMaxQueryTime, naturalIdQueriesExecuted, needsLimit, noAppropriateConnectionProvider, noColumnsSpecifiedForIndex, noDefaultConstructor, noPersistentClassesFound, noSessionFactoryWithJndiName, optimisticLockFailures, orderByAnnotationIndexedCollection, overridingTransactionStrategyDangerous, packageNotFound, parameterPositionOccurredAsBothJpaAndHibernatePositionalParameter, parsingXmlError, parsingXmlErrorForFile, parsingXmlWarning, parsingXmlWarningForFile, persistenceProviderCallerDoesNotImplementEjb3SpecCorrectly, pooledOptimizerReportedInitialValue, preparedStatementAlreadyInBatch, processEqualityExpression, processingPersistenceUnitInfoName, propertiesLoaded, propertiesNotFound, propertyNotFound, providerClassDeprecated, proxoolProviderClassNotFound, queriesExecuted, queryCacheHits, queryCacheMisses, queryCachePuts, rdmsOs2200Dialect, readingCachedMappings, readingMappingsFromFile, readingMappingsFromResource, readOnlyCacheConfiguredForMutableCollection, recognizedObsoleteHibernateNamespace, renamedProperty, requiredDifferentProvider, resolvedSqlTypeDescriptorForDifferentSqlCode, runningHbm2ddlSchemaExport, runningHbm2ddlSchemaUpdate, runningSchemaValidator, schemaExportComplete, schemaExportUnsuccessful, schemaUpdateComplete, scopingTypesToSessionFactoryAfterAlreadyScoped, searchingForMappingDocuments, secondLevelCacheHits, secondLevelCacheMisses, secondLevelCachePuts, serviceProperties, sessionsClosed, sessionsOpened, setManagerLookupClass, settersOfLazyClassesCannotBeFinal, sortAnnotationIndexedCollection, splitQueries, sqlExceptionEscapedProxy, sqlWarning, startingQueryCache, startingServiceAtJndiName, startingUpdateTimestampsCache, startTime, statementsClosed, statementsPrepared, stoppingService, subResolverException, successfulTransactions, synchronizationAlreadyRegistered, synchronizationFailed, tableFound, tableNotFound, timestampCacheHits, timestampCacheMisses, timestampCachePuts, transactions, transactionStartedOnNonRootSession, transactionStrategy, typeDefinedNoRegistrationKeys, typeRegistrationOverridesPrevious, unableToAccessEjb3Configuration, unableToAccessSessionFactory, unableToAccessTypeInfoResultSet, unableToApplyConstraints, unableToBindEjb3ConfigurationToJndi, unableToBindFactoryToJndi, unableToBindValueToParameter, unableToBuildEnhancementMetamodel, unableToBuildSessionFactoryUsingMBeanClasspath, unableToCleanUpCallableStatement, unableToCleanUpPreparedStatement, unableToCleanupTemporaryIdTable, unableToCloseConnection, unableToCloseInitialContext, unableToCloseInputFiles, unableToCloseInputStream, unableToCloseInputStreamForResource, unableToCloseIterator, unableToCloseJar, unableToCloseOutputFile, unableToCloseOutputStream, unableToClosePooledConnection, unableToCloseSession, unableToCloseSessionButSwallowingError, unableToCloseSessionDuringRollback, unableToCloseStream, unableToCloseStreamError, unableToCommitJta, unableToCompleteSchemaUpdate, unableToCompleteSchemaValidation, unableToConfigureSqlExceptionConverter, unableToConstructCurrentSessionContext, unableToConstructSqlExceptionConverter, unableToCopySystemProperties, unableToCreateProxyFactory, unableToCreateSchema, unableToDeserializeCache, unableToDestroyCache, unableToDestroyQueryCache, unableToDestroyUpdateTimestampsCache, unableToDetermineLockModeValue, unableToDetermineTransactionStatus, unableToDetermineTransactionStatusAfterCommit, unableToDropTemporaryIdTable, unableToExecuteBatch, unableToExecuteResolver, unableToFindPersistenceXmlInClasspath, unableToGetDatabaseMetadata, unableToInstantiateConfiguredSchemaNameResolver, unableToInstantiateOptimizer, unableToInstantiateUuidGenerationStrategy, unableToJoinTransaction, unableToLoadCommand, unableToLoadDerbyDriver, unableToLoadProperties, unableToLocateConfigFile, unableToLocateConfiguredSchemaNameResolver, unableToLocateCustomOptimizerClass, unableToLocateMBeanServer, unableToLocateUuidGenerationStrategy, unableToLogSqlWarnings, unableToLogWarnings, unableToMarkForRollbackOnPersistenceException, unableToMarkForRollbackOnTransientObjectException, unableToObjectConnectionMetadata, unableToObjectConnectionToQueryMetadata, unableToObtainConnectionMetadata, unableToObtainConnectionToQueryMetadata, unableToObtainInitialContext, unableToParseMetadata, unableToPerformJdbcCommit, unableToPerformManagedFlush, unableToQueryDatabaseMetadata, unableToReadClass, unableToReadColumnValueFromResultSet, unableToReadHiValue, unableToReadOrInitHiValue, unableToReleaseBatchStatement, unableToReleaseCacheLock, unableToReleaseContext, unableToReleaseCreatedMBeanServer, unableToReleaseIsolatedConnection, unableToReleaseTypeInfoResultSet, unableToRemoveBagJoinFetch, unableToResolveAggregateFunction, unableToResolveMappingFile, unableToRetrieveCache, unableToRetrieveTypeInfoResultSet, unableToRollbackConnection, unableToRollbackIsolatedTransaction, unableToRollbackJta, unableToRunSchemaUpdate, unableToSetTransactionToRollbackOnly, unableToStopHibernateService, unableToStopService, unableToSwitchToMethodUsingColumnIndex, unableToSynchronizeDatabaseStateWithSession, unableToToggleAutoCommit, unableToTransformClass, unableToUnbindFactoryFromJndi, unableToUpdateHiValue, unableToUpdateQueryHiValue, unableToWrapResultSet, unableToWriteCachedFile, undeterminedH2Version, unexpectedLiteralTokenType, unexpectedRowCounts, unknownBytecodeProvider, unknownIngresVersion, unknownOracleVersion, unknownSqlServerVersion, unregisteredResultSetWithoutStatement, unregisteredStatement, unsuccessful, unsuccessfulCreate, unsupportedAfterStatement, unsupportedIngresVersion, unsupportedInitialValue, unsupportedMultiTableBulkHqlJpaql, unsupportedOracleVersion, unsupportedProperty, updatingSchema, usingAstQueryTranslatorFactory, usingDefaultIdGeneratorSegmentValue, usingDefaultTransactionStrategy, usingDialect, usingDriver, usingHibernateBuiltInConnectionPool, usingOldDtd, usingReflectionOptimizer, usingStreams, usingTimestampWorkaround, usingUuidHexGenerator, validatorNotFound, version, warningsCreatingTempTable, willNotRegisterListeners, writeLocksNotSupported, writingGeneratedSchemaToFile`

Methods inherited from interface org.jboss.logging.BasicLogger
`debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

Method Detail

### attemptToRestartAlreadyStartedEhCacheProvider

    @LogMessage(level=WARN)
    @Message(value="Attempt to restart an already started EhCacheProvider. Use sessionFactory.close() between repeated calls to buildSessionFactory. Using previously created EhCacheProvider. If this behaviour is required, consider using net.sf.ehcache.hibernate.SingletonEhCacheProvider.",
             id=20001)
    void attemptToRestartAlreadyStartedEhCacheProvider()

### unableToFindConfiguration

    @LogMessage(level=WARN)
    @Message(value="Could not find configuration [%s]; using defaults.",
             id=20002)
    void unableToFindConfiguration(String name)

### unableToFindEhCacheConfiguration

    @LogMessage(level=WARN)
    @Message(value="Could not find a specific ehcache configuration for cache named [%s]; using defaults.",
             id=20003)
    void unableToFindEhCacheConfiguration(String name)

### unableToLoadConfiguration

    @LogMessage(level=WARN)
    @Message(value="A configurationResourceName was set to %s but the resource could not be loaded from the classpath. Ehcache will configure itself using defaults.",
             id=20004)
    void unableToLoadConfiguration(String configurationResourceName)

### incompatibleCacheValueMode

    @LogMessage(level=WARN)
    @Message(value="The default cache value mode for this Ehcache configuration is \"identity\". This is incompatible with clustered Hibernate caching - the value mode has therefore been switched to \"serialization\"",
             id=20005)
    void incompatibleCacheValueMode()

### incompatibleCacheValueModePerCache

    @LogMessage(level=WARN)
    @Message(value="The value mode for the cache[%s] is \"identity\". This is incompatible with clustered Hibernate caching - the value mode has therefore been switched to \"serialization\"",
             id=20006)
    void incompatibleCacheValueModePerCache(String cacheName)

### readOnlyCacheConfiguredForMutableEntity

    @LogMessage(level=WARN)
    @Message(value="read-only cache configured for mutable entity [%s]",
             id=20007)
    void readOnlyCacheConfiguredForMutableEntity(String entityName)

### softLockedCacheExpired

    @LogMessage(level=WARN)
    @Message(value="Cache[%s] Key[%s] Lockable[%s]\nA soft-locked cache entry was expired by the underlying Ehcache. If this happens regularly you should consider increasing the cache timeouts and/or capacity limits",
             id=20008)
    void softLockedCacheExpired(String regionName,
                                                   Object key,
                                                   String lock)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.